Skip to main content

Authentication

BIK uses an API key and secret for authentication. You can generate a new API key and secret through the developer portal.

All API requests must include the API key and secret as Basic Auth credentials in the following format:

Username: KEY Password: SECRET

Replace KEY with your API key and SECRET with your API secret.

Auth

Request parameters

NameTypeRequired/OptionalDescription
appIdstringRequiredApplication id of the store

Request Information

CategoryValue
Http requestPOST
URLhttps://bikapi.bikayi.app/integrations/bikPlatformFunctions-authPartnerViaKey

Sample request

curl --location 'https://bikapi.bikayi.app/integrations/bikPlatformFunctions-authPartnerViaKey' \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic AUTH_TOKEN' \
--data '{
"appId": "APP_ID"
}'

JSON response example:

{
"status": "200"
}

Response parameters

NameTypeDescription
statusnumberAPI status